Bug 134060 - Current bind-chroot uses hardcoded /tmp/named path in scriplet
Current bind-chroot uses hardcoded /tmp/named path in scriplet
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: bind (Show other bugs)
3
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
Ben Levenson
: EasyFix
Depends On:
Blocks: FC3Target
  Show dependency treegraph
 
Reported: 2004-09-29 07:06 EDT by Matthias Saou
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version: bind-9.2.4-2
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-18 17:04:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Matthias Saou 2004-09-29 07:06:05 EDT
Description of problem:
The current FC devel bind-chroot uses a hardcoded path of /tmp/named
in its scriplet, which is a predictable name that can lead to security
concerns. Using mktemp instead should be considered.

Version-Release number of selected component (if applicable):
bind-chroot-9.2.4-1

How reproducible:
Always.

Steps to Reproduce:
1. rpm -qp --scripts bind-chroot-9.2.4-1.i386.rpm | grep tmp
  
Actual results:
grep -v '^ROOTDIR='/var/named/chroot /etc/sysconfig/named > /tmp/named
mv -f /tmp/named /etc/sysconfig/named

Expected results:
Seeing something like TMP=$(mktemp /tmp/named.XXXXXX) then using $TMP.
Comment 1 Jason Vas Dias 2004-09-29 09:59:02 EDT
Yes, this is the way bind-chroot always has done sysconfig/named
editing. 
The next version will use mktemp .
 

Note You need to log in before you can comment on or make changes to this bug.